%define pkgname gtkmm
%define api_version 2.4
%define major 1
%define libname %mklibname %{pkgname} %{api_version} %{major}
%define devname %mklibname %{pkgname} %{api_version} -d

Summary:	C++ interface for popular GUI library GTK+
Name:		%{pkgname}%{api_version}
Version:	2.24.4
Release:	1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
Url:		http://gtkmm.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildRequires:	pkgconfig(atkmm-1.6)
BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(pangomm-1.4)

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C++ interface for popular GUI library GTK+
Group:		System/Libraries
Provides:	lib%{name} = %{EVRD}
Provides:	%{pkgname}%{api_version} = %{EVRD}

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%files -n %{libname}
%{_libdir}/libgdkmm-%{api_version}.so.%{major}*
%{_libdir}/libgtkmm-%{api_version}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	%{pkgname}%{api_version}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%files -n %{devname}
%doc PORTING ChangeLog AUTHORS COPYING NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}/
%{_libdir}/gdkmm-%{api_version}/
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%package doc
Summary:	GTKmm documentation
Group:		Documentation

%description doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%files doc
%doc %{_datadir}/doc/gtkmm-%{api_version}/
%doc %{_datadir}/devhelp/books/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}

%build
%configure2_5x \
	--enable-shared \
	--disable-static
%make

# make check does nothing

%install
%makeinstall_std MMDOCTOOLDIR=%{_datadir}/mm-common/doctool


%changelog

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.24.4-1
- (b613ef1) New version 2.24.4


